Kerbal Space Program - Bug #2487

[Bug v0.23.5.0]: KSP crashes on Ubuntu 13.10 and 14.04
05/10/2014 01:20 PM - alun

Status: Closed Start date: 05/10/2014
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23.5 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

What happens: Game crashes during flight.
How to reproduce:

e Start flight tutorial

e step through tutorial

¢ launch on full throttle straight up

e game dies shortly before 800m alt.

Notes:

The demo version didn't suffer from this.

Bought full version last month (for the ARM patch).
Game didn't work then (under Ubuntu 13.10)

e Have since upgraded OS to 14.04

Have tried setting Steam launch option to:

LC_ALL=C command

and

LC_ALL=C command_64

this doesn't seem to have helped.

¢ Have attached KSP and player logs, and hardinfo report.

Hope this helps.
(really looking forward to trying out The Claw!)

Cheers,
Alun.

History

#1 - 05/11/2014 05:30 AM - Nachtwind

Cant confirm here whats happening.

But i wonder what happens if you remove the atmospheric effects etc. Looks like you are using the GPU of your CPU and i wonder if thats capable of
all those effects. | was testing (retail) KSP the other day on an I3 as well and i had some hard time getting it run smooth at all.. And linux might then
be even a bit more picky about it..

So, what happens if you turn down pretty much all effects?

#2 - 05/11/2014 09:07 AM - jmdana

| have the same issue. I'm using Arch Linux with an Intel HD4000 graphics card.

The game crashes with the lines:

(Filename: /BuildAgent/work/d3d49558e4d408f4/artifacts/LinuxStandalonePlayerGenerated/UnityEngineDebug.cpp Line: 53)
RenderTexture.Create failed: format unsupported.
(Filename: Line: 252)

Same as seen in the Player.log above.

"Aerodynamic FX quality = minimal" seems to fix the issue.

#3 - 05/11/2014 05:55 PM - alun

Good call Nachtwind and Jmdana - turning down the aerodynamic effects to "minimal” seems to fix it at least in the flight training. I'll try it in the game
proper when I've got a bit more time later in the week.

Any level above "minimal" seems to crash it though.

Thanks.
Alun.

#4 - 05/13/2014 12:31 PM - alun
Hi,

I've played a couple of sessions since (about 2 hours total) and only had one crash. That was when | switched from the Assembly Building to the
Launch Pad, so it may not be the same problem.

I'll try a few more tests, to see if | can reproduce it.

Cheers,
Alun.

#5 - 05/13/2014 12:47 PM - jmdana

With or without "Aerodynamic FX quality = minimal"?

It keeps crashing for me every single time. Always at the same point, a few seconds after taking off.

#6 - 05/14/2014 05:52 PM - dannyh
- File KSP (copy).log added

- File crashing quicksave.sfs added
- File hardinfo_report.html added

- File Ishw.ixt added

- File glxinfo.txt added

I'm seeing what is very probably the same issue. Ubuntu 14.04, 0.23.5, no mods, both x86 and x86_64, crash on "Impending Impact" scenario when
entering atmosphere (at approx 38km), Aerodynamic FX quality = minimal makes the crash go away. Crash happens just before heat glow starts.

stdout says:

Found path: /home/danny/Downloads/KSP_linux/KSP.x86_64

Mono path[0] = '/home/danny/Downloads/KSP_linux/KSP_Data/Managed'

Mono path[l] = '/home/danny/Downloads/KSP_linux/KSP_Data/Mono"

Mono config path = '/home/danny/Downloads/KSP_linux/KSP_Data/Mono/etc’
Aborted

Attaching log, which does not seem to contain much, quicksave file (less than 10s before crash) and hardinfo. Also adding Ishw -C display and glxinfo
output (1915 driver).

build id = 464

2014-04-01_17-04-22
Branch: master

#7 - 05/20/2014 02:59 AM - frode.svendsen
| have the exact same problem. I've played KSP for hours on my Linux laptop earlier, but right now | crash to desktop after about 5-10 seconds of

flight..

#8 - 05/21/2014 12:58 PM - benthor

This happens for me as well, regardless of how much | tune down the graphics settings.
| bundled up a core dump for you guys, along with version and system info, settings and the save game that triggers the problem ("Moonshot 1"
mission, currently on trajectory back to Kerbin. Segfault for me happens reproducibly (tried it 6 times) when my mission reenters Kerbin atmosphere
at around 38000m Altitude)

http://kerbal.benthor.name/core+configs.tar.bz2 (274MB; even when compressed, the core file is huge)

My distribution is a reasonably up-to-date Arch Linux (64Bit).

#9 - 06/06/2014 11:19 PM - sr
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Same here with ubuntu 13.04 on an intel GPU. Doesn't happen on my other linux machine running ubuntu 13.04 with an amd gpu. Seems to be intel
specific - maybe intel can't deal with the texture compression format that recent unity versions try to use by default?

#10 - 06/09/2014 06:32 AM - Ted
- Severity changed from Low to High

Due to the widespread nature of the issue, I'm bumping the priority.
#11 - 06/09/2014 12:22 PM - sr
Investigating further: The crash happens every time "reentry effects" are to be displayed - also during ascent, if your rocket is fast enough to get the

red flames and glow. After talking with Ted, | disabled SM3 and used the alternative renderer and still got the crash.

#12 - 06/11/2014 08:46 PM - keithbam

| have never been able to run the tutorials before applying the patch descrlbed in the compatlblllty thread (link below) since KSP version 0.18.
/24 100739

| wonder if the people descr|b|ng this bug have followed all the adwce and steps prowded in the opening posts of that forum thread? Especially the
terminal patch...

echo "090£377: 00" | xxd —-r — KSP.x86_64
echo "090£f37c: 00" | xxd -r - KSP.x86_64

| have just upgraded my Ubuntu from 12.04 to 14.04. My KSP is patched as above. | cannot reproduce this.

I only had one issue with the Linux upgrade. | needed to delete "settings.cfg" and allow the game to re-establish that file. Prior to doing that the
upgraded NVidia driver caused the game to use the fallback graphics engine for some reason.

#13 - 06/20/2014 05:25 PM - johns

I'm experiencing this on Ubuntu with Intel HD4400 graphics. Disabling atmospheric effects allowed me to get into orbit, but | still get random crashes -
sometimes when going from the VAB to the launchpad. Let me know if you want a core dump or more info.

Also, seems to be the same issue in the forums here: http:/forum.kerbalspaceprogram.com/threads/75634-Myriad-of-crashes-since-23-5-(Linux

#14 - 06/20/2014 05:26 PM - johns
Also reported in the Steam forums here: http:/steamcommunity.com/app/220200/discussions/0/540744299908748998/

#15 - 07/21/2014 05:34 AM - benthor

Not reproducible for me in 0.24.

Hurray!

#16 - 09/10/2014 06:18 PM - Ted
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

#17 - 09/10/2014 07:23 PM - unseeingwhale

Can confirm as resolved.

#18 - 12/12/2014 04:12 PM - Ted

- Status changed from Resolved to Closed
